org.apache.cassandra.transport

## Class Event.SchemaChange

- java.lang.Object
- - org.apache.cassandra.transport.Event
  - - org.apache.cassandra.transport.Event.SchemaChange

- Enclosing class:
    Event

      public static class Event.SchemaChange
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.SchemaChange.Change`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Event

      `Event.SchemaChange, Event.StatusChange, Event.TopologyChange, Event.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Event.SchemaChange.Change` | `change`
    `java.lang.String` | `keyspace`
    `java.lang.String` | `table`

    - ### Fields inherited from class org.apache.cassandra.transport.Event

      `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event.SchemaChange(Event.SchemaChange.Change change, java.lang.String keyspace)`
    `Event.SchemaChange(Event.SchemaChange.Change change, java.lang.String keyspace, java.lang.String table)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.jboss.netty.buffer.ChannelBuffer` | `serializeEvent()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.transport.Event

      `deserialize, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### change

          public final Event.SchemaChange.Change change

    - #### keyspace

          public final java.lang.String keyspace

    - #### table

          public final java.lang.String table

  - ### Constructor Detail

    - #### Event.SchemaChange

          public Event.SchemaChange(Event.SchemaChange.Change change,
                            java.lang.String keyspace,
                            java.lang.String table)

    - #### Event.SchemaChange

          public Event.SchemaChange(Event.SchemaChange.Change change,
                            java.lang.String keyspace)

  - ### Method Detail

    - #### serializeEvent

          protected org.jboss.netty.buffer.ChannelBuffer serializeEvent()

      Specified by:
        `serializeEvent` in class `Event`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation